Loading...
Searching...
No Matches
ambient_viewing_environment.h File Reference
`#include <stddef.h>`
`#include "frame.h"`
`#include "rational.h"`

Go to the source code of this file.

## Data Structures

struct | AVAmbientViewingEnvironment
| Ambient viewing environment metadata as defined by H.274. More...

## Functions

AVAmbientViewingEnvironment * | av_ambient_viewing_environment_alloc (size_t *size)
| Allocate an AVAmbientViewingEnvironment structure.
AVAmbientViewingEnvironment * | av_ambient_viewing_environment_create_side_data (AVFrame *frame)
| Allocate and add an AVAmbientViewingEnvironment structure to an existing AVFrame as side data.

## Function Documentation

## av_ambient_viewing_environment_alloc()

AVAmbientViewingEnvironment * av_ambient_viewing_environment_alloc | ( | size_t * | size | ) |

Allocate an AVAmbientViewingEnvironment structure.

Returns
  the newly allocated struct or NULL on failure

## av_ambient_viewing_environment_create_side_data()

AVAmbientViewingEnvironment * av_ambient_viewing_environment_create_side_data | ( | AVFrame * | frame | ) |

Allocate and add an AVAmbientViewingEnvironment structure to an existing AVFrame as side data.

Returns
  the newly allocated struct, or NULL on failure